org.eclipse.mat.ui

## Class MemoryAnalyserPlugin

- java.lang.Object
- - AbstractUIPlugin
  - - org.eclipse.mat.ui.MemoryAnalyserPlugin

    public class MemoryAnalyserPlugin
    extends AbstractUIPlugin

### Nested Class Summary

Nested Classes
`static interface` `MemoryAnalyserPlugin.ISharedImages`

### Field Summary

Fields
`static String` `EDITOR_ID`
`static String` `PLUGIN_ID`

### Constructor Summary

Constructors
Constructor and Description
`MemoryAnalyserPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MemoryAnalyserPlugin` `getDefault()`
`IExtensionTracker` `getExtensionTracker()`
`Image` `getImage(ImageDescriptor descriptor)`
`Image` `getImage(QueryDescriptor query)`
`static Image` `getImage(String name)`
`Image` `getImage(URL path)`
`ImageDescriptor` `getImageDescriptor(QueryDescriptor query)`
`static ImageDescriptor` `getImageDescriptor(String path)`
`ImageDescriptor` `getImageDescriptor(URL path)`
`String` `getImageText(Image image)`
`static void` `log(IStatus status)`
`static void` `log(Throwable e, String message)`
`static void` `main(String[] args)`
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

See Also:
  Constant Field Values

#### EDITOR_ID

    public static final String EDITOR_ID

See Also:
  Constant Field Values

### Constructor Detail

#### MemoryAnalyserPlugin

    public MemoryAnalyserPlugin()

### Method Detail

#### start

    public void start(BundleContext context)
               throws Exception

Throws:
  `Exception`

#### stop

    public void stop(BundleContext context)
              throws Exception

Throws:
  `Exception`

#### getDefault

    public static MemoryAnalyserPlugin getDefault()

#### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(String path)

#### getImage

    public static Image getImage(String name)

#### getImage

    public Image getImage(ImageDescriptor descriptor)

#### getImageDescriptor

    public ImageDescriptor getImageDescriptor(URL path)

#### getImage

    public Image getImage(URL path)

#### getImageDescriptor

    public ImageDescriptor getImageDescriptor(QueryDescriptor query)

#### getImage

    public Image getImage(QueryDescriptor query)

#### getImageText

    public String getImageText(Image image)

Parameters:
  `image` - The Image for which descriptive text is to be retrieved.
Returns:
  Descriptive text for the Image object, retrieved from imageTextMap, or text indicating "unknown image" if not found.

#### getExtensionTracker

    public IExtensionTracker getExtensionTracker()

#### log

    public static void log(IStatus status)

#### log

    public static void log(Throwable e,
                           String message)

#### main

    public static void main(String[] args)

Parameters:
  `args` - Input arguments are ignored. This Java program generates a properties file "iconlabels.properties" automatically, based on the content of the MAT icons directories. The locations of the /icons directories are hardcoded to be those under org.eclipse.mat.api and org.eclipse.mat.ui, relative to the current working directory which is assumed to be a project in the workspace. This is the case if this program is "Run as Java Application" within Eclipse, using the default working directory org.eclipse.mat.ui. The output is written to "iconlabels.properties" in the current working directory, which can then be copied to the required location for the properties file, org.eclipse.mat.ui/src/org/eclipse/mat/ui/. Error handling is coarse-grained: any Exception is caught and details are printed to System.out. Some other diagnostics are written to System.out if errors occur.